# Originally imported from OpenSUSE

%define pkg_branch  1.03
%define pkg_version 1.03BETA

Name:           passwordsafe
Version:        1.03
Release:        %mkrel 1
License:        Artistic-2.0
Summary:        A password database utility
URL:            https://github.com/pwsafe/pwsafe
Group:          Office
Source:         pwsafe-%{pkg_version}.tar.xz
Patch0:         pwsafe-1.03BETA_helpdir.patch
Patch1:         pwsafe-1.03BETA_menufile.patch
# zen-subz - xvkbd doesn't seem to work
Patch2:         pwsafe-1.03BETA_input.patch
BuildRequires:  gcc-c++
BuildRequires:  libuuid-devel
BuildRequires:  libxerces-c-devel
BuildRequires:  libxt-devel
BuildRequires:  libxtst-devel
BuildRequires:  wxgtk-devel >= 3.0.0
BuildRequires:  zip
BuildRequires:  yubikey-devel
BuildRequires:  ykpers-devel
BuildRequires:  qrencode-devel
Requires:       ykpers
Requires:       yubikey-tools
# replace xvkbd with iok for input
Requires:	iok
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Password Safe is a password database utility. Like many other such
products, commercial and otherwise, it stores your passwords in an
encrypted file, allowing you to remember only one password (the "safe
combination"), instead of all the username/password combinations that
you use.

%prep
%setup -qn pwsafe-%{pkg_version}
%apply_patches

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
%make rpmbuild

%install
install -D -m 755 src/ui/wxWidgets/GCCUnicodeRelease/pwsafe %{buildroot}%{_bindir}/pwsafe
install -D -m 644 install/desktop/pwsafe.desktop            %{buildroot}%{_datadir}/applications/pwsafe.desktop
install -D -m 644 install/graphics/pwsafe.png               %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/pwsafe.png
install -D -m 644 docs/pwsafe.1                             %{buildroot}%{_mandir}/man1/pwsafe.1
install -D -d -m 0755                                       %{buildroot}%{_datadir}/pwsafe/xml/
install -m 644 xml/*                                        %{buildroot}%{_datadir}/pwsafe/xml/
install -D -d -m 0755                                       %{buildroot}%{_datadir}/pwsafe/help/
install -D -m 644 help/help*.zip                            %{buildroot}%{_datadir}/pwsafe/help/
install -D -d -m 0755                                       %{buildroot}%{_datadir}/locale/
cp -a src/ui/wxWidgets/I18N/mos/*                           %{buildroot}%{_datadir}/locale/

%find_lang pwsafe

%files -f pwsafe.lang
%defattr(-,root,root)
%doc README.LINUX.* README.md docs/ReleaseNotes.txt
%doc docs/ChangeLog.txt docs/LICENSE.* LICENSE install/copyright
%{_bindir}/pwsafe
%{_datadir}/applications/pwsafe.desktop
%{_datadir}/icons/hicolor/48x48/apps/pwsafe.png
%{_mandir}/man1/pwsafe.1*
%{_datadir}/pwsafe/


%changelog
* Sat Dec 23 2017 Zen Subz <techars21 at gmail dot com> - 1.03-1pclos2017
- Build for PCLinuxOS
